powerpc: Make macintosh/mediabay driver depend on CONFIG_BLOCK
Alexander Beregalov [Fri, 17 Apr 2009 00:15:13 +0000 (00:15 +0000)]
Fixes this build error:

In file included from drivers/macintosh/mediabay.c:21:
include/linux/ide.h:605: error: field 'request_sense_rq' has incomplete type

Signed-off-by: Alexander Beregalov <a.beregalov@gmail.com>
Signed-off-by: Paul Mackerras <paulus@samba.org>

drivers/macintosh/Kconfig

index 173cf55..3d90683 100644 (file)
@@ -123,7 +123,7 @@ config PMAC_APM_EMU
 
 config PMAC_MEDIABAY
        bool "Support PowerBook hotswap media bay"
-       depends on PPC_PMAC && PPC32
+       depends on PPC_PMAC && PPC32 && BLOCK
        help
          This option adds support for older PowerBook's hotswap media bay
          that can contains batteries, floppy drives, or IDE devices. PCI